import { Component, OnInit } from '@angular/core';
import {DomSanitizer} from '@angular/platform-browser';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { FrameDetailComponent } from '../../../../frame/core/detail/frame.detail';

@Component({
  selector: 'app-exam-interview-total-std',
  templateUrl: './exam-interview-total-std.component.html',
  styleUrls: ['./exam-interview-total-std.component.scss']
})
export class ExamInterviewTotalStdComponent  extends FrameDetailComponent implements OnInit {

 
  constructor(bsModalRef: BsModalRef, sanitizer: DomSanitizer) {
    super(bsModalRef, sanitizer);
 
   }

  ngOnInit() {

  }
  initDefautEntity() {
  }
/***
 *   考生导出
 */
  downloadStd(flag: any) {
    let entity = {
      ly_agent_id: this.ResponseEntity.ly_agent_id,
      ly_exam_date: this.ResponseEntity.exam_date,
      ly_group_id: this.ResponseEntity.ly_group_id,
      time_type: this.ResponseEntity.time_type,
      report_name:'StdRegTotalReport',
      report_title :'面试考生汇总_'+ this.ResponseEntity.group_name+"_"+this.ResponseEntity.exam_date
    };
    if(flag === 0) {
      entity['report_name'] = 'StdRegNoRoomReport'
    } else if(flag === 1) {
      entity['report_name'] = 'StdRegInRoomReport'
    } else if(flag === 2 ) {
      entity['report_name'] = 'StdRegTotalReport'
    }
    this.FuncService.ajaxDownload('frame/report/download.htm', entity);
  }

}
